Package org.snpeff.vcf

# Class VcfHeaderEntry

java.lang.Object
org.snpeff.vcf.VcfHeaderEntry

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `VcfHeaderInfo`

public class VcfHeaderEntry extends Object implements Serializable
Represents a info elements in a VCF file's header References: https://samtools.github.io/hts-specs/VCFv4.3.pdf http://www.1000genomes.org/wiki/Analysis/Variant%20Call%20Format/vcf-variant-call-format-version-41

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`line`

## Constructor Summary

Constructors
Constructor
Description
`VcfHeaderEntry(String line)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`static VcfHeaderEntry`
`factory(String line)`
`String`
`getId()`
`boolean`
`isFormat()`
`boolean`
`isInfo()`
`void`
`setId(String id)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### line

protected String line

### id

protected String id

## Constructor Details

### VcfHeaderEntry

public VcfHeaderEntry(String line)
Constructor

## Method Details

### factory

public static VcfHeaderEntry factory(String line)

### getId

public String getId()

### isFormat

public boolean isFormat()

### isInfo

public boolean isInfo()

### setId

public void setId(String id)

### toString

public String toString()

Overrides:
  `toString` in class `Object`